How to know my gcc OpenMP version ?

Here’s some easy way to know my gcc support what version of OpenMP in compiling level.

First, type this to your shell ( not Windows )

echo | cpp -fopenmp -dM | grep -i open

You may see one of these.

  • 200505 = version 2.5
  • 200805 = version 3.0
  • 201107 = version 3.1
  • 201307 = version 4.0
  • 201511 = verison 4.5

Or trying to make a complete code with Makefile with my source: omptest

Extract omptest.zip to anywhere able to approach with bash (or MSYS, MinGW shell too), then move to position where you been extract.

Just type make. A test named executabled binary (or test.exe if your system is Windows) may genertated, then jsut run it.

You may see what version of OpenMP supported by your gcc compiler.